#include <stdio.h>
	
int
main(argc,argv)
	int argc;
	char **argv;
{
	char buf[1024];
	int time=0,n=0;
	FILE *fd=stdin;

	while(n++<argc)
	{
		if (argc>1)
		{
			if (n==argc) break;
			fd=fopen(argv[n],"r");
			if (!fd)
			{
				printf("Cannot open file %s\n.",argv[n]);
				exit(1);
			}
			printf("** FILE '%s' **\n",argv[n]);
		}
		while(!feof(fd))
		{
		buf[0]=0; time=0;
		fgets (buf,1024,fd);
		sscanf(buf,"0x%x - %*s",&time);
		if (time) 
			printf("%s\t%s",ctime(&time),buf+13);
		else
			printf("%s",buf);
		}
	}
	return 0;
}
